a13nDocs

恢复修订版本

将路径恢复为该次修改之前的内容;如果路径有文件,`If-Match` 指定该文件。

POST/api/v1/memories/{memory_id}/revisions/{seq}/restore

将路径恢复为该次修改之前的内容;如果路径有文件,If-Match 指定该文件。

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

路径参数

memory_id*Memory Id
seq*Seq

请求头参数

If-Match?|

资源 ETag:当前视图的 "{id}:{version}",模型为 "{key}:{version}"

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

响应体

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/memories/string/revisions/0/restore"
{  "file": {    "content": "string",    "created_at": "2019-08-24T14:15:22Z",    "description": "string",    "id": "string",    "path": "string",    "size": 0,    "updated_at": "2019-08-24T14:15:22Z",    "updated_by_principal_id": "string",    "updated_by_run_id": "string",    "version": 0  },  "path": "string"}